This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 114359 - Assertion `d' failed.
Assertion `d' failed.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ltrace (Show other bugs)
1
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-27 04:29 EST by Kasper Dupont
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.3.32-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-22 09:53:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2004-01-27 04:29:13 EST
Description of problem:
When applied to some programs ltrace fails on an assertion.

Version-Release number of selected component (if applicable):
ltrace-0.3.29-1

How reproducible:
Happens always

Steps to Reproduce:
1. ltrace /usr/lib/mozilla-1.4.1/mozilla-bin
  
Actual results:

(mozilla-bin:1875): Gdk-WARNING **: locale not supported by Xlib

(mozilla-bin:1875): Gdk-WARNING **: can not set locale modifiers
ltrace: dict.c:117: dict_apply_to_all: Assertion `d' failed.
Aborted (core dumped)

Expected results:
mozilla runs as without ltrace (possibly slower). And ltrace produces
as usefull output as possible.
Comment 1 Jakub Jelinek 2004-04-22 09:53:49 EDT
Should be fixed in ltrace-0.3.32-2 in rawhide.
Comment 2 Jay Turner 2004-09-02 01:17:46 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2004-387.html

Note You need to log in before you can comment on or make changes to this bug.